Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/xautolock: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Thu, 28 Aug 2014 15:02:03 +0000

ftp://ibiblio.org/pub/Linux/X11/screensavers/
An automatic X screen-locker/screen-saver
---
 testing/xautolock/APKBUILD          | 45 +++++++++++++++++++++++++++++++++++++
 testing/xautolock/processwait.patch | 33 +++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)
 create mode 100644 testing/xautolock/APKBUILD
 create mode 100644 testing/xautolock/processwait.patch
diff --git a/testing/xautolock/APKBUILD b/testing/xautolock/APKBUILD
new file mode 100644
index 0000000..2f8e6a2
--- /dev/null
+++ b/testing/xautolock/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=xautolock
+pkgver=2.2
+pkgrel=0
+pkgdesc="An automatic X screen-locker/screen-saver"
+url="ftp://ibiblio.org/pub/Linux/X11/screensavers/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="imake xorg-server-dev libxscrnsaver-dev xorg-cf-files"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="$url/$pkgname-$pkgver.tgz processwait.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+   local i
+   cd "$_builddir"
+   for i in $source; do
+       case $i in
+       *.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
+       esac
+   done
+}
+
+build() {
+   cd "$_builddir"
+   xmkmf
+   make || return 1
+}
+
+package() {
+   cd "$_builddir"
+   make DESTDIR="$pkgdir" install
+   make MANPATH=/usr/share/man DESTDIR="$pkgdir" install.man
+}
+
+md5sums="9526347a202694ad235d731d9d3de91f  xautolock-2.2.tgz
+bbd3d70adf4fd2794c4ed71441e6fa33  processwait.patch"
+sha256sums="11f0275175634e6db756e96f5713ec91b8b1c41f8663df54e8a5d27dc71c4da2  xautolock-2.2.tgz
+adee645f0a1b3767c711ca52b2b82ab22f30dd6e39e79935aedfb1c70e6de2c2  processwait.patch"
+sha512sums="5f9dcc25cda706610e77a74235c4b421ca3a833d154b1a269057f0774579e1c6ec36fe0e5be5fadd6942ce8c1640a760f891397586b162e6024b524635153d04  xautolock-2.2.tgz
+3e87cb592ddfdc91dd5c66a360e71fc6f59cedc080cfc8f1a51888dfad67c96e72047ad292d63d7b9468daddf2ea5c8d7c6da3e9819eac1818a8388df2d96a8e  processwait.patch"
diff --git a/testing/xautolock/processwait.patch b/testing/xautolock/processwait.patch
new file mode 100644
index 0000000..edd1a39
--- /dev/null
+++ b/testing/xautolock/processwait.patch
_at_@ -0,0 +1,33 @@
+--- src/engine.c.orig  2014-08-28 12:50:56.086307943 +0000
++++ src/engine.c   2014-08-28 12:50:59.496333650 +0000
+_at_@ -209,24 +209,24 @@ evaluateTriggers (Display* d)
+   {
+ #else /* VMS */
+   if (lockerPid)
+   {
+-#if !defined (UTEKV) && !defined (SYSV) && !defined (SVR4)
++#if (!defined (UTEKV) && !defined (SYSV) && !defined (SVR4)) && defined (__GLIBC__)
+     union wait  status;      /* childs process status */
+-#else /* !UTEKV && !SYSV && !SVR4 */
++#else /* (!UTEKV && !SYSV && !SVR4) && __GLIBC__ */
+     int         status = 0;  /* childs process status */
+-#endif /* !UTEKV && !SYSV && !SVR4 */
++#endif /* (!UTEKV && !SYSV && !SVR4) && __GLIBC__ */
+ 
+     if (unlockNow && !disabled)
+     {
+       (void) kill (lockerPid, SIGTERM);
+     }
+ 
+-#if !defined (UTEKV) && !defined (SYSV) && !defined (SVR4)
++#if (!defined (UTEKV) && !defined (SYSV) && !defined (SVR4)) && defined (__GLIBC__)
+     if (wait3 (&status, WNOHANG, 0))
+-#else /* !UTEKV && !SYSV && !SVR4 */
++#else /* (!UTEKV && !SYSV && !SVR4) && __GLIBC__ */
+     if (waitpid (-1, &status, WNOHANG)) 
+-#endif /* !UTEKV && !SYSV && !SVR4 */
++#endif /* (!UTEKV && !SYSV && !SVR4) && __GLIBC__ */
+     {
+      /*
+       *  If the locker exited normally, we disable any pending kill
+       *  trigger. Otherwise, we assume that it either has crashed or
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Aug 28 2014 - 15:02:03 GMT